aboutsummaryrefslogtreecommitdiffstats
path: root/testing/slock/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-10-18 22:11:08 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2015-10-18 22:11:08 +0200
commit1ab569fbe401d5e9c9c295c9cce5da34b0c64dcd (patch)
treea84eba5ad09571c1b0b491e40cf0ea8284ab3b77 /testing/slock/APKBUILD
parentaad0eaecb75add4f6153cf7d3d9723bdee123a71 (diff)
downloadaports-1ab569fbe401d5e9c9c295c9cce5da34b0c64dcd.tar.gz
aports-1ab569fbe401d5e9c9c295c9cce5da34b0c64dcd.tar.bz2
aports-1ab569fbe401d5e9c9c295c9cce5da34b0c64dcd.tar.xz
testing/slock: don't use depends_dev
Also return 1 if the return value of make doesn't equal 0.
Diffstat (limited to 'testing/slock/APKBUILD')
-rw-r--r--testing/slock/APKBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/testing/slock/APKBUILD b/testing/slock/APKBUILD
index c05f619ed1..c1d99d36b8 100644
--- a/testing/slock/APKBUILD
+++ b/testing/slock/APKBUILD
@@ -8,8 +8,8 @@ url="http://tools.suckless.org/slock/"
arch="all"
license="MIT"
depends=""
-depends_dev="libxext-dev"
-makedepends="$depends_dev linux-headers"
+depends_dev=""
+makedepends="libxext-dev linux-headers"
install=""
source="http://dl.suckless.org/tools/$pkgname-$pkgver.tar.gz
safer-oom-killer-disablement.patch"
@@ -29,12 +29,12 @@ prepare() {
build() {
cd "$_builddir"
- make X11INC=/usr/include/X11 X11LIB=/usr/lib/X11
+ make X11INC=/usr/include/X11 X11LIB=/usr/lib/X11 || return 1
}
package() {
make PREFIX=/usr DESTDIR="$pkgdir" \
- -C "$_builddir" install
+ -C "$_builddir" install || return 1
}
md5sums="ee65f6e9f5ce71f3a6088d53b2485430 slock-1.2.tar.gz